inc += include_directories('.')

headers = [ 
  'test_panel/test_panel.hpp',
  'test_panel_2/test_panel_2.hpp',
  'local_panel/local_panel.hpp',
  'opengl_panel/opengl_panel.hpp',
]

sources = [ 
  'test_panel/test_panel.cpp',
  'test_panel_2/test_panel_2.cpp',
  'local_panel/local_panel.cpp',
  'opengl_panel/opengl_panel.cpp',
]

lib = library(
  'vertex_engine_sandbox',
  include_directories : inc,
  sources: [headers, sources],
  dependencies : deps,
  cpp_args: args
)

deps += declare_dependency(
  include_directories: inc, 
  link_with: lib, 
)
